<div style="margin-bottom: 15px;">
    <div *ngIf="qtyAccept === 1">
        <ul class="nav justify-content-end">
            <li class="nav-item">
                <a class="btn" [routerLink]="['/', { outlets: { popup: ['unit-shipment-receipt-popup-new-list', idShipmentPackage] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
            </li>
        </ul>
    </div>
    <p-dataTable
        [value]="unitShipmentReceipts"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idReceipt" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <!-- <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['unit-shipment-receipt-popup-new-list', idShipmentPackage] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.idProduct'|translate}}" field="idProduct">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idProduct}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.featureDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.receiptCode'|translate}}" field="receiptCode">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptCode}}
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.unitShipmentReceipt.qtyAccept'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyAccept | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyAccept"
                     [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.qtyReject'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyReject | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyReject"
                     [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.unitShipmentReceipt.itemDescription'|translate}}" field="itemDescription">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.itemDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.dateReceipt'|translate}}" [style]="{'width': '150px',  'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateReceipt | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.idFrame'|translate}}" field="idFrame">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idFrame}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.idMachine'|translate}}" field="idMachine">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idMachine}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.yearAssembly'|translate}}" [style]="{'width': '100px',  'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.yearAssembly}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.unitPrice'|translate}}" [style]="{'width': '120px',  'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.unitPrice | number}}
            </ng-template>
        </p-column>
        <p-column header="Gudang" [style]="{'width': '120px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.receipt === true">
                    <i class="fa fa-check"></i>
                </div>
            </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.unitShipmentReceipt.shipmentPackage'|translate}}" *ngIf="idShipmentPackage === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentPackageId">
                    <a [routerLink]="['../shipment-package', rowData.shipmentPackageId  ]" >{{rowData.shipmentPackageId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.shipmentItem'|translate}}" *ngIf="idShipmentItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentItemId">
                    <a [routerLink]="['../shipment-item', rowData.shipmentItemId  ]" >{{rowData.shipmentItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.unitShipmentReceipt.orderItem'|translate}}" *ngIf="idOrderItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.orderItemId">
                    <a [routerLink]="['../order-item', rowData.orderItemId  ]" >{{rowData.orderItemId}}</a>
                </div>
            </ng-template> -->
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'unit-shipment-receipt/'+ rowData.idReceipt + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button> -->
                <button pButton type="button"
                    (click)="delete(rowData.idReceipt)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
